polyCoeff_sources = files(
  'private/polyCoeff.cpp'
)

polyCoeff_headers = files(
  'public/polyCoeff.h'
)

libPolyCoeff = static_library('polyCoeff',
  polyCoeff_sources,
  include_directories : include_directories('./public'),
  cpp_args: ['-fvisibility=default'],
  dependencies: [mfem_dep],
  install: true
)


polycoeff_dep = declare_dependency(
  include_directories : include_directories('./public'),
  link_with : libPolyCoeff,
  sources : polyCoeff_sources,
  dependencies : [mfem_dep]
)